Page MenuHomePhabricator

Login to login.wikimedia.org fails with "No active login attempt is in progress for your session."
Closed, ResolvedPublic

Description

Attempting to login directly on https://login.wikimedia.org fails. I end up on https://login.wikimedia.org/wiki/Special:CentralLogin/complete?token=My_token_here with an error message of "No active login attempt is in progress for your session."

Initiating the login from https://www.mediawiki.org/ works as expected and results in an active session on loginwiki as well.

Event Timeline

bd808 raised the priority of this task from to High.
bd808 updated the task description. (Show Details)
bd808 added a subscriber: bd808.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 28 2016, 8:03 PM
greg added a subscriber: greg.Jan 28 2016, 8:25 PM

Change 267156 had a related patch set uploaded (by BryanDavis):
Check for username in 'user' rather than 'name'

https://gerrit.wikimedia.org/r/267156

Stryn added a subscriber: Stryn.Jan 29 2016, 9:34 PM
Tgr added a subscriber: Tgr.Jan 30 2016, 9:28 AM
08:39 < bd808> anomie: what are your thoughts on https://gerrit.wikimedia.org/r/#/c/267156/ ? tgr seemed slightly concerned that fixing it might break something else but I'm not sure I understood what.
08:41 < anomie> bd808: I think it's a good fix for the bug. It's not perfect since it dumps you on Special:CentralLogin/status instead of sending you to the usual return URL, but since there's nothing *on* loginwiki to return to that's probably a low priority..
08:47 < anomie> Unless that case can somehow be triggered for logins on other wikis, then we'd want to fix it more urgently. To really fix it, it might be enough to replace lines 93–99 with a flag that later skips lines 111–134 (and set $newSessionId = $session['sessionId']; instead).
09:04 < tgr> anomie: my reading of that code (which I don't trust much) was that it will ditch you on /status any time you attempt a login from a wiki while centrally logged in
09:04 < tgr> ie. when you log in from something that does not have edge login (like outreachwiki) or when edge login is broken for some reason
09:05 < anomie> Yeah, that's the "unless" case. :(
Josve05a added a subscriber: Josve05a.EditedJan 30 2016, 3:06 PM

Got a user in -help regarding this issue, I believe.

16:02:18 <murrrrica> No active login attempt is in progress for your session.
16:02:21 <murrrrica> What does that means?
[...]
16:04:26 <murrrrica> Josve05a: yes, dear, i want to login to my old user from 2008

Not sure if releated to this bug, but since it is a recent bug and someone got the same error message...

Tgr added a comment.Jan 30 2016, 3:46 PM

Same error when logging in from mobile Meta or Commons (but not normal Meta / Commons or the mobile wikipedias).

bd808 claimed this task.Feb 2 2016, 2:06 AM
Restricted Application added a project: User-bd808. · View Herald TranscriptFeb 2 2016, 2:06 AM
bd808 reassigned this task from bd808 to Anomie.Feb 2 2016, 7:31 PM
bd808 set Security to None.

Change 267156 abandoned by BryanDavis:
Check for username in 'user' rather than 'name'

Reason:
Anomie's got a better idea

https://gerrit.wikimedia.org/r/267156

Change 267948 had a related patch set uploaded (by Anomie):
Avoid stomping on the existing session when logging into loginwiki

https://gerrit.wikimedia.org/r/267948

Change 267948 merged by jenkins-bot:
Avoid stomping on the existing session when logging into loginwiki

https://gerrit.wikimedia.org/r/267948

Anomie closed this task as Resolved.Feb 4 2016, 4:33 PM

Same error when logging in from mobile Meta or Commons (but not normal Meta / Commons or the mobile wikipedias).

We missed this in the chaos of everything else. It was re-reported against 1.27.0-wmf.13 when it hit group1 wikis. Resolution tracked at T49647#2017019 and following comments.